Package org.apache.sling.scriptingbundle.plugin.processor

## Class ResourceTypeFolderPredicate

- java.lang.Object
- - org.apache.sling.scriptingbundle.plugin.processor.ResourceTypeFolderPredicate

All Implemented Interfaces:
  `Predicate<Path>`

    public class ResourceTypeFolderPredicate
    extends Object
    implements Predicate<Path>

### Constructor Summary

Constructors
`ResourceTypeFolderPredicate​(Logger logger, boolean inContentPackage)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `test​(Path folder)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

### Constructor Detail

#### ResourceTypeFolderPredicate

    public ResourceTypeFolderPredicate​(Logger logger,
                                       boolean inContentPackage)

### Method Detail

#### test

    public boolean test​(Path folder)

Specified by:
  `test` in interface `Predicate<Path>`